function combineTagLists()

folders = {'/dist_vision_scratch/InstagramFood/tags_lists/Mar2015week3_tags_list.mat';...
           '/dist_vision_scratch/InstagramFood/tags_lists/Mar2015week4_tags_list.mat';...
           '/dist_vision_scratch/InstagramFood/tags_lists/October2014_tags_list.mat';...
           '/dist_vision_scratch/InstagramFood/tags_lists/October2014_week4_tags_list.mat';...
           '/dist_vision_scratch/InstagramFood/tags_lists/November2014_week1_tags_list.mat';...
           '/dist_vision_scratch/InstagramFood/tags_lists/November2014_week2_tags_list.mat';...
           '/dist_vision_scratch/InstagramFood/tags_lists/November2014_week3_tags_list.mat';...
           '/dist_vision_scratch/InstagramFood/tags_lists/November2014_week4_tags_list.mat';...
           '/dist_vision_scratch/InstagramFood/tags_lists/December_week1_tags_list.mat'};

load(char(folders(1)));
for e = 2:numel(folders)
    tags = load(char(folders(e)));
    tags_list = [tags_list,tags.tags_list];
end
save('/dist_vision_scratch/InstagramFood/tags_lists/tags_list.mat','tags_list');

% Get the top 10,000 tags by frequency and create dictionary from them 
tbl = tabulate(tags_list);
fprintf(1, 'Number of unique tags: %d\n', length(tbl));
tblsort = sortrows(tbl,[-2, 1]); 
tagDict = (tblsort(1:10000,1))';
save('/dist_vision_scratch/InstagramFood/tagDicts/tagDict.mat','tagDict');

