foodporn_analysis

%% Foodporn analysis

for e = 1:length(joined_spatial_metas)
    foodporn(e,1) = joined_spatial_metas(e).tagBits(2);
end

foodpornIdx = find(foodporn);
foodporn_cats = bestCatIDs(foodpornIdx);
foodporn_cats = cell2mat(foodporn_cats);
[fp_best, fp_idx] = sort(histcounts(foodporn_cats, 1000), 'descend');
fp_best_classes = classes(fp_idx);

for f = 1:numel(fields)
    foodporn.(char(fields(f))) = idx.(char(fields(f)))(find(ismember(idx.(char(fields(f))), foodpornIdx)));
end

foodporn_af_idx = ismember(af, foodpornIdx);
foodporn_af_idx_good = find(foodporn_af_idx);
foodporn_af = af(foodporn_af_idx_good);

foodporn_as_idx = ismember(as, foodpornIdx);
foodporn_as = as(foodporn_as_idx);
fp_as_bci = bestCatIDs(foodporn_as);

%%
for e = 1:length(plate_metas)
    foodporn(e,1) = plate_metas(e).tagBits(1);
end
foodpornIdx = find(foodporn);


tags_list = plate_metas(foodpornIdx(1)).tags;
for e = 2:length(foodpornIdx)
    fprintf(1,'Processing entry: %d/%d\n',e,length(foodpornIdx));
    tags = plate_metas(foodpornIdx(e)).tags;
    tags_list = [tags_list,tags];
end

tbl = tabulate(tags_list);
fprintf(1, 'Number of unique tags: %d\n', length(tbl));
tblsort = sortrows(tbl,[-2, 1]); 
tagDict = (tblsort(1:10000,1))';
save('/scratch/InstagramFood/plate_metas_tagDict.mat','tagDict');
tagFreqs = tblsort(:,2);

saveFolder = '/scratch/InstagramFood/';
save([saveFolder,'plate_metas_tags_list.mat'], 'tags_list');

foodporn_cats = cell2mat(foodporn_cats);
[fp_best, fp_idx] = sort(histcounts(foodporn_cats, 1000), 'descend');
fp_best_classes = classes(fp_idx);
