function getTagsListMeta(root, folder)

meta = load([root, folder,'.mat']);
fprintf(1,'Processing: %s\n', folder);
tags_list = meta.meta(1).tags;
[~,num_entries] = size(meta.meta);
for e = 2:num_entries
    fprintf(1,'Processing entry: %d/%d\n',e,num_entries);
    tags = meta.meta(e).tags;
    tags_list = [tags_list,tags];
end
saveFolder = '/dist_vision_scratch/InstagramFood/tags_lists/';
fprintf(1,'Saving tags list for: %s\n', folder);
save([saveFolder,folder,'_tags_list.mat'], 'tags_list');