function get_deep_dataset()

root = {'/import/geb-datasets/InstagramFood/images/October2014';...
        '/import/geb-datasets/InstagramFood/images/October2014_week4';...
        '/import/geb-datasets/InstagramFood/images/November2014_week1';...
        '/import/geb-datasets/InstagramFood/images/November2014_week2';...
        '/import/geb-datasets/InstagramFood/images/November2014_week3';...
        '/import/geb-datasets/InstagramFood/images/November2014_week4';...
        '/import/geb-datasets/InstagramFood/images/December_week1';...
        '/import/geb-datasets/InstagramFood/images/Mar2015week3';...
        '/import/geb-datasets/InstagramFood/images/Mar2015week4'};
   
%Read each image from the folder and get its very deep CNN descriptor and
%classification
% run matconvnet-1.0-beta12/matlab/vl_compilenn

% setup MatConvNet
run matconvnet-1.0-beta16/matlab/vl_setupnn

% load the pre-trained CNN
net = load('matconvnet-1.0-beta12/imagenet-vgg-verydeep-16.mat');

classes = net.classes.description';
save('/dist_vision_scratch/InstagramFood/vgg/classes.mat', 'classes');

lf = [3,5];
parfor f = 1:2
%parfor f = 1 : numel(root)
   get_deep_folder(char(root(lf(f))),net);
end

