function joinResults(root)
% Joins the results from the results from each hashtag 

load('/dist_vision_scratch/InstagramFood/tagDicts/tagDict.mat');

load([root,'classifier_results/classifier_results_1.mat']);
all_class_results = classifier_results;
clear classifier_results;

load([root, 'num_pos/positive_imgs_1.mat']);
total_pos = positive_imgs;
clear positive_imgs;

load([root,'scores/score1.mat']);
all_scores = score;
clear score;

for i = 2:1000
	fprintf(1,'Processing %d/1000, %s\n', i, tagDict{i});

    load([root,'classifier_results/classifier_results_',num2str(i),'.mat']);
    all_class_results = vertcat(all_class_results, classifier_results);
   
    load([root,'num_pos/positive_imgs_',num2str(i),'.mat']);
    total_pos = vertcat(total_pos, positive_imgs);
 
    %Broken because once filtering starts, then this starts to have different numbers of elements. Not for all test images.
    %load([root,'scores/score', num2str(i), '.mat']);
    %all_scores = horzcat(all_scores, score);
end

save([root, 'all_class_results.mat'], 'all_class_results');
save([root, 'total_pos.mat'], 'total_pos');
%save([root, 'all_scores.mat'], 'all_scores', '-v7.3');

[sortedAcc, idx] = sort(all_class_results(:,2),'descend');
resTable = table(idx, tagDict(idx)', sortedAcc, all_class_results(idx, 3));
save([root, 'resTable.mat'], 'resTable');
