function joinResults2(root)
% Joins the results from the results from each hashtag 
% #2 Try different evaluation metrics to sort.

load('/dist_vision_scratch/InstagramFood/tagDicts/tagDict.mat');

load([root,'classifier_results/classifier_results_1.mat']);

load('/dist_vision_scratch/InstagramFood/x_and_y/Y.mat');

all_class_results = zeros(1000,3);
total_pos = zeros(1000,3);
N = 404473;
all_scores = zeros(N,1000);
bigYte = sparse(N,1000);
% all_class_results = classifier_results;
% clear classifier_results;
% 
% load([root, 'num_pos/positive_imgs_1.mat']);
% total_pos = positive_imgs;
% clear positive_imgs;
% 
% load([root,'scores/score1.mat']);
% all_scores = score;
% clear score;

NC = 1000;
for i = 1:NC
	fprintf(1,'Processing %d/1000, %s\n', i, tagDict{i});
    load([root,'classifier_results/classifier_results_',num2str(i),'.mat']);
    all_class_results(i,:) = classifier_results;
   
    load([root,'num_pos/positive_imgs_',num2str(i),'.mat']);
    total_pos(i,:) = positive_imgs;
    
    load([root,'scores/score', num2str(i), '.mat']);
    all_scores(:,i) = score;
    
    field  = ['tag_', num2str(i)];
    Y2     = Y.(field);
    bigYte(:,i) = Y2(2:2:end);    
end
auc = zeros(1,NC);
parfor i = 1 : NC
    fprintf(1,'Processing %d/1000\n',i);
    [~,~,~,auc(i)]=perfcurve(bigYte(:,i),all_scores(:,i),1);
    all_class_results(i,4) = auc(i);
end

save([root, 'all_class_results.mat'], 'all_class_results');
save([root, 'total_pos.mat'], 'total_pos');
save([root, 'all_scores.mat'], 'all_scores', '-v7.3');

[sortedAUC, idx] = sort(all_class_results(:,4),'descend');
testAccNrm = all_class_results(idx, 3);
testAcc = all_class_results(idx, 2);
resTable = table(idx, tagDict(idx)', sortedAUC, testAcc, testAccNrm); %1. Idx, 2. Label, 3. Sorted AUC, 4. Test Acc, 5. Norm Test Acc.
save([root, 'resTable2.mat'], 'resTable');
