function local_vgg_analysis()

% Get the most frequent vgg classes by continent (classes_continents) and
% by country (classes_countries)
%%
load('/Users/Jackie/Dropbox/QMUL_Final_Project/local_copies/cats.mat');
load('/Users/Jackie/Dropbox/QMUL_Final_Project/local_copies/cats_countries.mat');
load('/Users/Jackie/Dropbox/QMUL_Final_Project/local_copies/classes.mat');

fields = {'as', 'af', 'au', 'ce', 'eu', 'na', 'sa'};
fields_countries = {'US', 'AU', 'IT', 'GB', 'ID', 'PH', 'SG', 'TH', 'CA', 'TR'...
          'JP', 'DE', 'BR', 'MY', 'HK', 'ES', 'RU', 'FR', 'KR', 'TW'};

for f = 1:numel(fields)
    [counts.(char(fields(f))), idx] = sort(histcounts(cats.(char(fields(f))), 1000), 'descend');
    classes_continents.(char(fields(f))) = classes(idx);
end
save('/Users/Jackie/Dropbox/QMUL_Final_Project/local_copies/classes_continents.mat', 'classes_continents');

for f = 1:numel(fields_countries)
    [counts_countries.(char(fields_countries(f))), idx_countries] = sort(histcounts(cats_countries.(char(fields_countries(f))), 1000), 'descend');
    classes_countries.(char(fields_countries(f))) = classes(idx_countries);
end
save('/Users/Jackie/Dropbox/QMUL_Final_Project/local_copies/classes_continents.mat', 'classes_continents');
