function parseHashFolder(root)
split = strsplit(root, '/');
folder = char(split(end));

d = dir([root,'/','hashtag_*.txt']);
numFiles = numel(d);
fprintf(1,'Processing: %s\n', d(1).name);
meta = parse_hashtags(root,d(1).name);    

for e = 2:numFiles
    fprintf(1,'Processing: %s\n', d(e).name);
    m = parse_hashtags(root,d(e).name);
    meta = [meta,m];
end

save(['/import/geb-datasets/InstagramFood/images/',folder,'.mat'],'meta');
