function [countries, continent_counts] = spatialBreakdownMeta(root, meta)

af_count = 0;
as_count = 0;
au_count = 0;
ce_count = 0;
eu_count = 0;
na_count = 0;
sa_count = 0;

load([root,char(meta),'.mat']);
countries = [meta.country]';

for e = 1:length(meta)
    continent = char(meta(e).continent);
    if(length(continent)>=2)
        if(strcmp(continent(1:2),'Af'))
            af_count = af_count + 1;
        elseif(strcmp(continent(1:2),'As'))
            as_count = as_count + 1;
        elseif(strcmp(continent(1:2),'Au'))
            au_count = au_count + 1;
        elseif(strcmp(continent(1:2),'Ce'))
            ce_count = ce_count + 1;
        elseif(strcmp(continent(1:2),'Eu'))
            eu_count = eu_count + 1;
        elseif(strcmp(continent(1:2),'No'))
            na_count = na_count + 1;
        elseif(strcmp(continent(1:2),'So'))
            sa_count = sa_count + 1;
        end 
    end
end

continent_counts = [af_count; as_count; au_count; ce_count; eu_count; na_count; sa_count;];


