function getGPSTextFileMeta(root, folder)

load([root,folder,'.mat']);
fprintf(1,['Getting GPS text file for ', folder, '\n']);
fid = fopen(['/dist_vision_scratch/InstagramFood/reverse_geocoding/gps_for_r/',folder,'_gps.csv'], 'w');
for e = 1:length(meta)
    split = strsplit((char(meta(e).gps)),{'(', ')', ',', ' '});
    if length(split) >= 5
        new_split(1) = split(4);
        new_split(2) = split(5);
        try
            split_nums=cellfun(@str2num, new_split);%, 'UniformOutput', false);
            fprintf(fid, '%0.15f,%0.15f\n', split_nums);
        end
    else
        fprintf(fid, '\n');
    end
end
fclose(fid);
fprintf(1,['Finishing ', folder, '\n']);
