function get_svm_best_scoring(hashtag, urlsAll, filenamesAll, testIdx, resultsRoot)

load(['/dist_vision_scratch/InstagramFood/', resultsRoot, '/scores/score', num2str(hashtag), '.mat']);

% Sorts the SVM classification scores
[sortedScores,idx] = sort(score,'descend');

for e = 1:60
    bestScores{e, 1} = sortedScores(e);
    bestScores{e, 2} = testIdx(idx(e));
    bestScores{e, 3} = char(urlsAll(testIdx(idx(e))));
    bestScores{e, 4} = char(filenamesAll(testIdx(idx(e))));
end

save(['/dist_vision_scratch/InstagramFood/', resultsRoot, '/bestScores/bestScores' (num2str(hashtag)), '.mat'], 'bestScores');
