function set_distract_class()

load('/dist_vision_scratch/InstagramFood/meta_cols/vgg_catsAll.mat');
    
% food_cats = all food cats and plate and soup bowl classes
food_cats = [119, 122, 123, 125, 340, 416, 441, 442, 468, 510, 693,...
            738, 767, 810, 899, 908, 924:958, 960:968, 970];

plate_bowl_cats = [924, 810];
plate_cats = 924;

for e = 1:length(vgg_catsAll)
    if (vgg_catsAll(e) == 917)
        notDistractClass(e) = false;
    elseif (vgg_catsAll(e) == 918)
        notDistractClass(e) = false;
    elseif (vgg_catsAll(e) == 763)
        notDistractClass(e) = false;
    elseif (vgg_catsAll(e) == 922)
        notDistractClass(e) = false;
    elseif (vgg_catsAll(e) == 904)
        notDistractClass(e) = false;
    else
        notDistractClass(e) = true;
    end
    food_class(e) = ismember(vgg_catsAll(e), food_cats);
    plate_bowl(e) = ismember(vgg_catsAll(e), plate_bowl_cats);
    plate(e)      = ismember(vgg_catsAll(e), plate_cats);
end
not_dist_idx   = find(notDistractClass);
food_idx       = find(food_class);
plate_bowl_idx = find(plate_bowl);
plate_idx      = find(plate);

save('/dist_vision_scratch/InstagramFood/meta_cols/notDistractClass.mat', 'notDistractClass');
save('/dist_vision_scratch/InstagramFood/meta_cols/food_class.mat', 'food_class');
save('/dist_vision_scratch/InstagramFood/meta_cols/not_dist_idx.mat', 'not_dist_idx');
save('/dist_vision_scratch/InstagramFood/meta_cols/food_idx.mat', 'food_idx');
save('/dist_vision_scratch/InstagramFood/meta_cols/plate_bowl.mat', 'plate_bowl');
save('/dist_vision_scratch/InstagramFood/meta_cols/plate_bowl_idx.mat', 'plate_bowl_idx');
save('/dist_vision_scratch/InstagramFood/meta_cols/plate.mat', 'plate');
save('/dist_vision_scratch/InstagramFood/meta_cols/plate_idx.mat', 'plate_idx');