function visualize_svm_best_scoring(hashtag, root)
% Visualize the top 20 highest and the 20 worst scoring images according to SVM

load([root, 'bestScores/bestScores', num2str(hashtag), '.mat']);
load('localResults/tagDict.mat');

%% Displays the top scoring images according to the SVM classifier
%close all;
plotTitle = horzcat('Top 1-25 Scoring Images for SVM - ', char(tagDict(hashtag)));
figure(hashtag); suptitle(plotTitle);
for i = 1:25
    try
        subplot(5,5,i),subimage(imread(char(bestScores{i,3})));
    %{
    catch
        split = strsplit(char(bestScores{i,4}), '/');
        localFile = ['/Users/Jackie/Dropbox/QMUL_Final_Project/images/', char(split(end))];
        subplot(5,5,i),subimage(imread(localFile));
    %}
    catch
        disp(bestScores{i,4});
    end
end

